|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QIconEngineV2 Class Reference
[QtGui module]

The QIconEngineV2 class provides an abstract base class for QIcon renderers. More...

     #include <QIconEngineV2>

Inherits QIconEngine.

This class was introduced in Qt 4.3.

- List of all members, including inherited members

### Public Functions

- virtual QIconEngineV2 * clone () const
- virtual QString key () const
- virtual bool read ( QDataStream & in )
- virtual bool write ( QDataStream & out ) const

- 5 public functions inherited from QIconEngine

## Detailed Description

The QIconEngineV2 class provides an abstract base class for QIcon renderers.

An icon engine renders QIcons. With icon engines, you can customize icons. Qt provides a default engine that makes icons adhere to the current style by scaling the icons and providing a disabled appearance.

An engine is installed on an icon either through a QIcon constructor or through a QIconEnginePluginV2. The plugins are used by Qt if a specific engine is not given when the icon is created. See the QIconEngineV2 class description to learn how to create icon engine plugins.

An icon engine provides the rendering functions for a QIcon. Each icon has a corresponding icon engine that is responsible for drawing the icon with a requested size, mode and state.

QIconEngineV2 extends the API of QIconEngine to allow streaming of the icon engine contents, and should be used instead of QIconEngine for implementing new icon engines.

See also QIconEnginePluginV2.

## Member Function Documentation

### QIconEngineV2 * QIconEngineV2::clone () const `[virtual]`

Returns a clone of this icon engine.

### QString QIconEngineV2::key () const `[virtual]`

Returns a key that identifies this icon engine.

### bool QIconEngineV2::read ( QDataStream & in ) `[virtual]`

Reads icon engine contents from the QDataStream in. Returns true if the contents were read; otherwise returns false.

QIconEngineV2's default implementation always return false.

### bool QIconEngineV2::write ( QDataStream & out ) const `[virtual]`

Writes the contents of this engine to the QDataStream out. Returns true if the contents were written; otherwise returns false.

QIconEngineV2's default implementation always return false.